org.apache.fop.afp.modca

## Class NoOperation

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.NoOperation

All Implemented Interfaces:
  Completable, Streamable

    public class NoOperation
    extends AbstractAFPObject
    implements Completable

The No Operation structured field may be used to carry comments or any other type of unarchitected data. Although not recommended, it may also be used to carry semantic data in private or exchange data streams. However, because receivers of interchange data streams should ignore the content of No Operation structured fields and because receiver-generator products are not required to propagate No Operation structured fields, no semantics should be attached to the data carried by the No Operation structured field in interchange

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`AbstractAFPObject.Category, AbstractAFPObject.Type`

### Field Summary

### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`LOG, SF_CLASS, SF_HEADER_LENGTH`

### Constructor Summary

Constructors
Constructor and Description
`NoOperation(String content)` Construct a tag logical element with the name and value specified.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isComplete()` Returns true if this object is complete
`void` `setComplete(boolean complete)` Sets whether or not this object is complete or not
`String` `toString()`
`void` `writeToStream(OutputStream os)` Accessor method to obtain the byte array AFP datastream for the NoOperation.

### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

`copySF, copySF, truncate, writeChunksToStream, writeObjects`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoOperation

    public NoOperation(String content)

Construct a tag logical element with the name and value specified.

Parameters:
  `content` - the content to record

### Method Detail

#### writeToStream

    public void writeToStream(OutputStream os)
                       throws IOException

Accessor method to obtain the byte array AFP datastream for the NoOperation.

Specified by:
  `writeToStream` in interface `Streamable`
Parameters:
  `os` - The outputsteam stream
Throws:
  `IOException` - if an I/O exception occurs during processing

#### isComplete

    public boolean isComplete()

Returns true if this object is complete

Specified by:
  `isComplete` in interface `Completable`
Returns:
  true if this object is complete

#### setComplete

    public void setComplete(boolean complete)

Sets whether or not this object is complete or not

Specified by:
  `setComplete` in interface `Completable`
Parameters:
  `complete` - true if this object is complete

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`